LotusChartInternal::State Struct Reference

the state of LotusChart More...

## Public Member Functions
| State ()
| constructor
std::shared_ptr< Chart > | getChart (int id, LotusChart &parser, std::shared_ptr< WPSStream > stream)
| returns a chart corresponding to an id, create it if needed.

## Public Attributes
int | m_version
| the file version
std::map< int, std::shared_ptr< Chart > > | m_idChartMap
| list of chart
int | m_chartId
| the current chart id(wps3Mac)

## Detailed Description

the state of LotusChart

## Constructor & Destructor Documentation

## ◆ State()

LotusChartInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getChart()

std::shared_ptr< Chart > LotusChartInternal::State::getChart | ( | int | id,
|  | LotusChart & | parser,
|  | std::shared_ptr< WPSStream > | stream )
| inline

returns a chart corresponding to an id, create it if needed.

    \note almost always a chart definition appears before the
    other chart's structures, but this is not always true...

## Member Data Documentation

## ◆ m_chartId

int LotusChartInternal::State::m_chartId

the current chart id(wps3Mac)

Referenced by State().

## ◆ m_idChartMap

std::map<int,std::shared_ptr<Chart> > LotusChartInternal::State::m_idChartMap

list of chart

Referenced by getChart(), and State().

## ◆ m_version

int LotusChartInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- LotusChart.cpp